from roboimi.envs.rl_env.gym_wrapper import GymWrapper
from roboimi.envs.visual_servo.double_vs_base import DualVisualServoEnv
import gymnasium as gym
from stable_baselines3 import PPO, SAC, TD3
from stable_baselines3.common.env_checker import check_env
from gymnasium.wrappers import TimeLimit
from roboimi.assets.robots.bidiana_med_vs import BiDianaMedVS

def run_train():
    env = DualVisualServoEnv(
        robot=BiDianaMedVS(),
        is_render=True,
        control_freq=200,
        is_interpolate=True
    )
    env = GymWrapper(env)
    env = TimeLimit(env, max_episode_steps=env.max_episode_steps)
    # check_env(env)

if __name__ == '__main__':
    run_train()